Skip to content

Delete Smart Campaign

POST /rest/asset/v1/smartCampaign/{id}/delete.json

Permissions Read-Write Assets

Build a request and mock the response

Method: POST
Path: /rest/asset/v1/smartCampaign/{id}/delete.json
Tag: Smart Campaigns
Operation ID: deleteSmartCampaignUsingPOST

Deletes a smart campaign. Required Permissions: Read-Write Assets

Formats

  • Request: application/x-www-form-urlencoded
  • Response: application/json

Request

Path parameters

Name Type Required Description Constraints
id integer (int32) Yes Id of the smart campaign

Example request

POST {{base_url}}/rest/asset/v1/smartCampaign/{{id}}/delete.json
Accept: application/json

Responses

200 — OK

Schema: model: ResponseOfIdResponse

Generated example

{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    {
      "id": 123
    }
  ],
  "success": true,
  "warnings": [
    "string"
  ]
}

Referenced models

Source

Generated from swagger-asset.json.

Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.